//HTML requirements
//headings to have ID and dropdown div to have both .dropdown class and ID of 'dd${ID}'

function dropDown(headingNodelist) {
    for (let heading of headingNodelist) {
        let id = heading.id;
        let div = document.getElementById(`${id}`);
        let allDropdowns = document.querySelectorAll('.dropdown');
        let currentDropdown = document.getElementById(`dd${id}`);


        div.addEventListener('mouseover', () => {
                for (let dd of allDropdowns){
                    dd.style.display = 'none';
                }

            currentDropdown.style.display = 'flex';

            closeDropdown(allDropdowns, currentDropdown)
        })

    }

}

function closeDropdown (allDropdowns, currentDropdown) {
currentDropdown.addEventListener('mouseleave', () => {
        for (let dd of allDropdowns){
            dd.style.display = 'none';
        }
    })
}

export {dropDown};